<script type="text/javascript">
$("#fechar").click(function(){
	$("#table").hide();
});
</script>
<?php
require_once '../config.php';
require_once DIR_SYSTEM . 'startup.php';
$db = new db(DB_DRIVER, DB_HOSTNAME, DB_USERNAME, DB_PASSWORD, DB_DATABASE);
$config_correios = $db->query('SELECT * FROM '.DB_PREFIX.'setting WHERE `group` = "correios" ORDER BY setting_id ASC');

foreach ($config_correios->rows as $key => $value):
	$$value['key'] = $value['value'];
endforeach;
if ($config_correios->rows){
	if ($correios_status == "1"){
		$nCdEmpresa = $correios_contrato_codigo;
		$sDsSenha = $correios_contrato_senha;
		$sCepOrigem = $correios_postcode;
		$sCepDestino = $_REQUEST['cep_destino'];
		$nVlPeso = $_REQUEST['pesoProduto'];
		$nVlComprimento = $_REQUEST['comprimentoProduto'];
		$nVlAltura = $_REQUEST['alturaProduto'];
		$nVlLargura = $_REQUEST['larguraProduto'];
		$sCdMaoPropria = $correios_mao_propria;
		$sCdAvisoRecebimento = $correios_aviso_recebimento;
		
		$ValorAdicional = $correios_adicional;
		$Prazo_Adicional = $correios_prazo_adicional;
		
		if ($nVlPeso < 0.300 ) { 
			$nVlPeso = 0.300; 
		}
      	if ($nVlComprimento < 16 ) { 
			$nVlComprimento = 16; 
		}
      	if ($nVlAltura < 2 ) { 
			$nVlAltura = 2; 
		}
      	if ($nVlLargura < 11 ) { 
			$nVlLargura = 11; 
		}
		
		function origem($sCepOrigem) {
		$url = "http://www.mdconline.com.br/Webservices/WSCEP/servicoCEP.asp?txtCEPEnviado=$sCepOrigem";
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 2);
		$html1 = curl_exec ($ch);
		curl_close ($ch);
		
		$html = explode('<CIDADE>', $html1);
		$html2 = explode('</CIDADE>', $html[1]);
		
		$htmld = explode('<UF>', $html1);
		$htmld2 = explode('</UF>', $htmld[1]);
		if(!empty($html2[0])) {
		return $html2[0]." - ".$htmld2[0];
		} else {
		return "CEP Desconhecido";
		}
		}
		
		
		function destino($sCepDestino) {
		$url = "http://www.mdconline.com.br/Webservices/WSCEP/servicoCEP.asp?txtCEPEnviado=$sCepDestino";
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $url);
		curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 2);
		$html1 = curl_exec ($ch);
		curl_close ($ch);
		
		$html = explode('<CIDADE>', $html1);
		@$html2 = explode('</CIDADE>', $html[1]);
		
		$htmld = explode('<UF>', $html1);
		@$htmld2 = explode('</UF>', $htmld[1]);
		if(!empty($html2[0])) {
		return $html2[0]." - ".$htmld2[0];
		} else {
		return "CEP Desconhecido";
		}
		}
		
		function correios($nCdEmpresa, $sDsSenha, $sCepOrigem, $sCepDestino, $nVlPeso, $nVlComprimento, $nVlAltura, $nVlLargura, $sCdMaoPropria, $sCdAvisoRecebimento, $nCdServico) {
		
		$correios ="http://ws.correios.com.br/calculador/CalcPrecoPrazo.aspx?"
		."nCdEmpresa=".$nCdEmpresa."&"
		."sDsSenha=".$sDsSenha."&"
		."sCepOrigem=".$sCepOrigem."&"
		."sCepDestino=".$sCepDestino."&"
		."nVlPeso=".$nVlPeso."&"
		."nCdFormato=1&"
		."nVlComprimento=".$nVlComprimento."&"
		."nVlAltura=".$nVlAltura."&"
		."nVlLargura=".$nVlLargura."&"
		."sCdMaoPropria=".$sCdMaoPropria."&"
		."nVlValorDeclarado=0&"
		."sCdAvisoRecebimento=".$sCdAvisoRecebimento."&"
		."nCdServico=".$nCdServico."&"
		."nVlDiametro=0&"
		."StrRetorno=xml";
		
		$ch = curl_init();
		curl_setopt($ch, CURLOPT_URL, $correios);
		curl_setopt ($ch, CURLOPT_RETURNTRANSFER, 2);
		$html1 = curl_exec ($ch);
		curl_close ($ch);
		//pega o valor
		$html = explode('<Valor>', $html1);
		$html2 = explode('</Valor>', $html[1]);
		$total = str_replace(',','.',$html2[0]);
		//pega o prazo
		$pra = explode('<PrazoEntrega>', $html1);
		$prazo = explode('</PrazoEntrega>', $pra[1]);
		
		return array('valor'=>$total,'prazo'=>$prazo[0]);
		
		}
		
		
		if (!preg_match("/^[0-9]{5}-[0-9]{3}$/i", $sCepDestino)) {
		echo '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<b>Digite um CEP valido!!</b>';
		} else {
		?>
		<table id="table" border="0" cellpadding="10" width="100%" style="margin-top:2px;">
		<tbody>
			<tr style="border-bottom: 1px solid silver;" bgcolor="#F0F0F0">
				<td>

					<div>
						<b>De:</b> <?php echo origem($sCepOrigem);?><br />
						<b>Para:</b> <?php echo destino($sCepDestino);?>
					</div>        </td>
				<td><strong>Forma de envio</strong></td>
				<td><strong>Valor</strong></td>
				<td><strong>&nbsp;Detalhes</strong><span style="float:right;"><a href="javascript:void(0)" id="fechar">Fechar</a></span></td>
			</tr>
		
		<?php
		foreach ($config_correios->rows as $key => $value):
			if ($value['key'] == 'correios_40010')
				$servico[] = '40010';
			if ($value['key'] == 'correios_40045')
				$servico[] = '40045';
			if ($value['key'] == 'correios_40215')
				$servico[] = '40215';
			if ($value['key'] == 'correios_41106')
				$servico[] = '41106';
			if ($value['key'] == 'correios_81019')
				$servico[] = '81019';
		endforeach;
		
		$each = $servico;
		for ( $i = 0; $i < sizeof ( $each ); $i++ ){ 
			$tipo_frete = trim ( $each[$i] );
			switch($tipo_frete){
				
				//SEDEX sem contrato
				case '40010':{
					$consulta = correios($nCdEmpresa, $sDsSenha, $sCepOrigem, $sCepDestino, $nVlPeso, $nVlComprimento, $nVlAltura, $nVlLargura, $sCdMaoPropria, $sCdAvisoRecebimento, 40010);
					if($consulta['valor']!='0'){
						$valor = $consulta['valor'];
						$percentual = $ValorAdicional / 100;
						$calculo = $valor + ($percentual * $valor);
						$calculo = number_format($calculo, 2, ',', ' ');
						$resultado = "R$&nbsp;".$calculo;
					}else{
						$resultado = 'Indisponivel';
					}
					$tempo = $consulta['prazo'] + $Prazo_Adicional;
					if ($tempo > 1){
						$prazo = "dias &uacute;teis";
					}else
					$prazo = "dia &uacute;til";
					?>
						<tr bgcolor="#F7F7F7" valign="top">
							<td ><img src="alex/img/sedex.gif"></td>
							<td valign="Middle"><b>Sedex</b></td>
							<td valign="Middle" style="color:#03F;"><strong><?=$resultado?></strong></td>
							<td valign="Middle">Prazo de entrega &eacute; de at&eacute; <?=$tempo?> <?=$prazo?>.</td>
						</tr>
					<?php    
				}
				break;
				
				//SEDEX a Cobrar, sem contrato
				case '40045':{
					$consulta = correios($nCdEmpresa, $sDsSenha, $sCepOrigem, $sCepDestino, $nVlPeso, $nVlComprimento, $nVlAltura, $nVlLargura, $sCdMaoPropria, $sCdAvisoRecebimento, 40010);
					if($consulta['valor']!='0'){
						$valor = $consulta['valor'];
						$percentual = $ValorAdicional / 100;
						$calculo = $valor + ($percentual * $valor);
						$calculo = number_format($calculo, 2, ',', ' ');
						$resultado = "R$&nbsp;".$calculo;
					}else{
					$resultado = 'Indisponivel';
					}
					$tempo = $consulta['prazo'] + $Prazo_Adicional;
					if ($tempo > 1){
						$prazo = "dias &uacute;teis";
					}else
					$prazo = "dia &uacute;til";
					?>
						<tr bgcolor="#F7F7F7" valign="top">
							<td ><img src="alex/img/sedexacobrar.gif"></td>
							<td valign="Middle"><b>Sedex a cobrar</b></td>
							<td valign="Middle" style="color:#03F;"><strong><?=$resultado?></strong></td>
							<td valign="Middle">Prazo de entrega &eacute; de at&eacute; <?=$tempo?> <?=$prazo?>.</td>
						</tr>
					<?php    
				}
				break;
				
				//SEDEX 10, sem contrato
				case '40215':{
					$consulta = correios($nCdEmpresa, $sDsSenha, $sCepOrigem, $sCepDestino, $nVlPeso, $nVlComprimento, $nVlAltura, $nVlLargura, $sCdMaoPropria, $sCdAvisoRecebimento, 40215);
					if($consulta['valor']!='0'){
						$valor = $consulta['valor'];
						$percentual = $ValorAdicional / 100;
						$calculo = $valor + ($percentual * $valor);
						$calculo = number_format($calculo, 2, ',', ' ');
						$resultado = "R$&nbsp;".$calculo;
					}else{
					$resultado = 'Indisponivel';
					}
					$tempo = $consulta['prazo'] + $Prazo_Adicional;
					if ($tempo > 1){
						$prazo = "dias &uacute;teis";
					}else
					$prazo = "dia &uacute;til";
					?>
						<tr bgcolor="#F7F7F7" valign="top">
							<td ><img src="alex/img/sedex10.gif"></td>
							<td valign="Middle"><b>Sedex 10</b></td>
							<td valign="Middle" style="color:#03F;"><strong><?=$resultado?></strong></td>
							<td valign="Middle">Prazo de entrega &eacute; de at&eacute; <?=$tempo?> <?=$prazo?>.</td>
						</tr>
					<?php    
				}
				break;
				
				//PAC sem contrato
				case '41106':{
					$consulta = correios($nCdEmpresa, $sDsSenha, $sCepOrigem, $sCepDestino, $nVlPeso, $nVlComprimento, $nVlAltura, $nVlLargura, $sCdMaoPropria, $sCdAvisoRecebimento, 41106);
					if($consulta['valor']!='0'){
						$valor = $consulta['valor'];
						$percentual = $ValorAdicional / 100;
						$calculo = $valor + ($percentual * $valor);
						$calculo = number_format($calculo, 2, ',', ' ');
						$resultado = "R$&nbsp;".$calculo;
					}else{
					$resultado = 'Indisponivel';
					}
					$tempo = $consulta['prazo'] + $Prazo_Adicional;
					if ($tempo > 1){
						$prazo = "dias &uacute;teis";
					}else
					$prazo = "dia &uacute;til";
					?>
						<tr bgcolor="#F7F7F7" valign="top">
							<td ><img src="alex/img/pac.gif"></td>
							<td valign="Middle"><b>PAC</b></td>
							<td valign="Middle" style="color:#03F;"><strong><?=$resultado?></strong></td>
							<td valign="Middle">Prazo de entrega &eacute; de at&eacute; <?=$tempo?> <?=$prazo?>.</td>
						</tr>
					<?php    
				}
				break;
		
				//e-SEDEX com contrato
				case '81019':{
					$consulta = correios($nCdEmpresa, $sDsSenha, $sCepOrigem, $sCepDestino, $nVlPeso, $nVlComprimento, $nVlAltura, $nVlLargura, $sCdMaoPropria, $sCdAvisoRecebimento, 81019);
					if($consulta['valor']!='0'){
						$valor = $consulta['valor'];
						$percentual = $ValorAdicional / 100;
						$calculo = $valor + ($percentual * $valor);
						$calculo = number_format($calculo, 2, ',', ' ');
						$resultado = "R$&nbsp;".$calculo;
					}else{
					$resultado = 'Indisponivel';
					}
					$tempo = $consulta['prazo'] + $Prazo_Adicional;
					if ($tempo > 1){
						$prazo = "dias &uacute;teis";
					}else
					$prazo = "dia &uacute;til";
					?>
						<tr bgcolor="#F7F7F7" valign="top">
							<td ><img src="alex/img/esedex.gif"></td>
							<td valign="Middle"><b>e-Sedex</b></td>
							<td valign="Middle" style="color:#03F;"><strong><?=$resultado?></strong></td>
							<td valign="Middle">Prazo de entrega &eacute; de at&eacute; <?=$tempo?> <?=$prazo?>.</td>
						</tr>
					<?php    
				}
				break;
			}
		};
		};
	}else
		echo "<b>Atenção:</b> O módulo do <a href='http://www.opencart.com/index.php?route=extension/extension/info&extension_id=980' target='_blank'>Correios</a> não esta habilitado!";
}else
	echo "<b>Atenção:</b> O módulo do <a href='http://www.opencart.com/index.php?route=extension/extension/info&extension_id=980' target='_blank'>Correios</a> não esta instalado!";
?>
</tbody>
</table>